## Find a SDK installation

Retrieve details about a specific SDK installation in your merchant account.
This endpoint returns information about the installation's:

- Name and platform (web, iOS, Android or Terminal)
- Unique identifier (domain, bundle ID or package name)
- Enabled payment methods
- Current status (enabled or disabled)

The installation ID required by this endpoint is the same ID that was returned
when you created the installation using the add-installation endpoint.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/find-installation HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  installation_id: string,
}
```

Returns: object

## Request arguments

### `installation_id` (string)

**Required**. The unique identifier of the installation to look up. This is the ID that was
returned when you created the installation using the add-installation endpoint.

## Response attributes

### `installation_id` (string)

**Always present**. The ID of the installation.

### `enabled` (boolean)

**Always present**. Whether the installation is enabled and active.

### `name` (string)

**Always present**. The name of the installation.

### `platform` (string)

**Always present**. The platform type of the installation (e.g., 'WEB', 'IOS', 'ANDROID', 'TERMINAL').

Possible values:

- `WEB`
- `IOS`
- `ANDROID`
- `TERMINAL`

### `identifier` (string)

_Nullable_. The unique identifier for the installation on the platform.

### `payment_methods` (array)

**Always present**. List of payment methods supported by this installation.

### `email_capture` (string)

**Always present**. Email capture configuration for this installation. 'disabled' means no email collection, 'optional' means email is collected if provided by customer, 'required' means email is mandatory for all customers.

Possible values:

- `disabled`
- `optional`
- `required`

### `mobile_capture` (string)

**Always present**. Mobile phone capture configuration for this installation. 'disabled' means no mobile number collection, 'optional' means mobile number is collected if provided by customer, 'required' means mobile number is mandatory for all customers.

Possible values:

- `disabled`
- `optional`
- `required`

### `address_capture` (string)

**Always present**. Billing address capture configuration for this installation. 'disabled' means no billing address collection, 'optional' means billing address is collected if provided by customer, 'required' means billing address is mandatory for all customers.

Possible values:

- `disabled`
- `optional`
- `required`

### `created_at` (number)

**Always present**. The timestamp of the key creation as a Unix timestamp.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no installation with the provided ID exists in your
merchant account. Double check that you're using the correct installation ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
